searchData={"content_type":"text/markdown","items":[{"doc":"Interplanetary Name System commands","ref":"ExIpfsIpns.html","title":"ExIpfsIpns","type":"module"},{"doc":"Publish IPNS names.","ref":"ExIpfsIpns.html#publish/2","title":"ExIpfsIpns.publish/2","type":"function"},{"doc":"`path` - Path to be published.","ref":"ExIpfsIpns.html#publish/2-parameters","title":"Parameters - ExIpfsIpns.publish/2","type":"function"},{"doc":"https://docs.ipfs.io/reference/http/api/#api-v0-name-publish\n```\n[\n  resolve:  , # Resolve given path before publishing.\n  lifetime:  , # Time duration that the record will be valid for.\n  allow-offline:  , # Run offline.\n  ttl:  , # Time duration this record should be cached for (caution: experimental).\n  key:  , # Name of the key to be used or a valid PeerID, as listed by 'ipfs key list -l'.\n  ipns-base:  , # IPNS key base.\n]\n```","ref":"ExIpfsIpns.html#publish/2-options","title":"Options - ExIpfsIpns.publish/2","type":"function"},{"doc":"```\niex(1)> ExIpfsIpns.Key.gen(\"foo\")\n{:ok,\n  %ExIpfsIpns.Key{\n    name: \"foo\",\n    id: \"k51qzi5uqu5dhxwb3x7bjg8k73tlkaqfugy217mgpf3vpdmoqn9du2qp865ddv\"\n  }}\niex(2)> ExIpfsIpns.Name.publish(\"/ipfs/QmWGeRAEgtsHW3ec7U4qW2CyVy7eA2mFRVbk1nb24jFyks\", key: \"foo\")\n{:ok,\n  %ExIpfsIpns.Name{\n    name: \"k51qzi5uqu5dhxwb3x7bjg8k73tlkaqfugy217mgpf3vpdmoqn9du2qp865ddv\",\n    value: \"/ipfs/QmWGeRAEgtsHW3ec7U4qW2CyVy7eA2mFRVbk1nb24jFyks\"\n  }}\n```\nThen open your browser and browser to\n`ipns://k51qzi5uqu5dhxwb3x7bjg8k73tlkaqfugy217mgpf3vpdmoqn9du2qp865ddv/`\n\nYour browser does support IPFS, doesn't it? :-)","ref":"ExIpfsIpns.html#publish/2-example","title":"Example - ExIpfsIpns.publish/2","type":"function"},{"doc":"Resolve IPNS names.","ref":"ExIpfsIpns.html#resolve/2","title":"ExIpfsIpns.resolve/2","type":"function"},{"doc":"`name` - IPNS name to resolve.","ref":"ExIpfsIpns.html#resolve/2-parameters","title":"Parameters - ExIpfsIpns.resolve/2","type":"function"},{"doc":"https://docs.ipfs.io/reference/http/api/#api-v0-name-resolve\n```\n[\n  recursive:  , # Resolve until the result is not an IPNS name.\n  nocache:  , # Do not use cached entries.\n  dht-record-count:  , # Number of records to request for DHT resolution.\n  dht-timeout:  , # Maximum time to collect values during DHT resolution eg \"30s\".\n  stream:  , # Stream the output as a continuous series of JSON values.\n]\n```","ref":"ExIpfsIpns.html#resolve/2-options","title":"Options - ExIpfsIpns.resolve/2","type":"function"},{"doc":"","ref":"ExIpfsIpns.html#t:t/0","title":"ExIpfsIpns.t/0","type":"type"},{"doc":"ExIpfsIpns.Key module handles creating, listing, renaming, and removing IPNS keys.\n\nKeys are what generates an IPNS name. The key is a cryptographic key pair, and the name is a hash of the public key. The name is what is used to resolve the IPNS name.","ref":"ExIpfsIpns.Key.html","title":"ExIpfsIpns.Key","type":"module"},{"doc":"Check if a keypair exists. This search both the name and id of the keypair.","ref":"ExIpfsIpns.Key.html#exists?/2","title":"ExIpfsIpns.Key.exists?/2","type":"function"},{"doc":"`key` - Name of the key to search for.\n`search_type` - Type of search criteria. Defaults to `:both`\n          If you want to search for the `id` of a key, use `:name`\n          and provide the key name.\n          If you want to search for the `name` of a key, use `:id`\n          and provide the key id.","ref":"ExIpfsIpns.Key.html#exists?/2-parameters","title":"Parameters - ExIpfsIpns.Key.exists?/2","type":"function"},{"doc":"","ref":"ExIpfsIpns.Key.html#gen/2","title":"ExIpfsIpns.Key.gen/2","type":"function"},{"doc":"Create a new keypair.","ref":"ExIpfsIpns.Key.html#gen!/2","title":"ExIpfsIpns.Key.gen!/2","type":"function"},{"doc":"`key` - Name of the key to generate.","ref":"ExIpfsIpns.Key.html#gen!/2-parameters","title":"Parameters - ExIpfsIpns.Key.gen!/2","type":"function"},{"doc":"https://docs.ipfs.io/reference/http/api/#api-v0-key-gen\n```\n[\n  type:  , # Key type.\n  size:  , # Key size.\n  ipns-base:  , # IPNS key base.\n]\n```","ref":"ExIpfsIpns.Key.html#gen!/2-options","title":"Options - ExIpfsIpns.Key.gen!/2","type":"function"},{"doc":"Returns the IPNS key for the given name.","ref":"ExIpfsIpns.Key.html#get_or_create/2","title":"ExIpfsIpns.Key.get_or_create/2","type":"function"},{"doc":"`name` - Name of the key to search for.\n`search_type` - Type of search criteria. Defaults to `:name\n          If you want to search for the name of a key, use `:id`\n          and provide the key id instead.","ref":"ExIpfsIpns.Key.html#get_or_create/2-parameters","title":"Parameters - ExIpfsIpns.Key.get_or_create/2","type":"function"},{"doc":"Import a key and prints imported key id.","ref":"ExIpfsIpns.Key.html#import/3","title":"ExIpfsIpns.Key.import/3","type":"function"},{"doc":"`key` - Name of the key to import.\n`name` - Name of the key to import.","ref":"ExIpfsIpns.Key.html#import/3-parameters","title":"Parameters - ExIpfsIpns.Key.import/3","type":"function"},{"doc":"https://docs.ipfs.io/reference/http/api/#api-v0-key-import\n```\n[\n  ipns-base:  , # IPNS key base.\n  format:  , # Key format.\n  allow-any-key-type:  , # Allow any key type.\n]\n```","ref":"ExIpfsIpns.Key.html#import/3-options","title":"Options - ExIpfsIpns.Key.import/3","type":"function"},{"doc":"List all local keypairs.","ref":"ExIpfsIpns.Key.html#list/1","title":"ExIpfsIpns.Key.list/1","type":"function"},{"doc":"https://docs.ipfs.io/reference/http/api/#api-v0-key-list\n```\n[\n  ipns-base:  , # IPNS key base.\n]\n```","ref":"ExIpfsIpns.Key.html#list/1-options","title":"Options - ExIpfsIpns.Key.list/1","type":"function"},{"doc":"Rename a keypair.\n\nhttps://docs.ipfs.io/reference/http/api/#api-v0-key-rename","ref":"ExIpfsIpns.Key.html#rename/3","title":"ExIpfsIpns.Key.rename/3","type":"function"},{"doc":"`old` - Name of the key to rename.\n  `new` - New name of the key.","ref":"ExIpfsIpns.Key.html#rename/3-parameters","title":"Parameters - ExIpfsIpns.Key.rename/3","type":"function"},{"doc":"```\n[\n  ipns-base:  , # IPNS key base.\n  force:  , # Allow to overwrite existing key.\n]\n```","ref":"ExIpfsIpns.Key.html#rename/3-options","title":"Options - ExIpfsIpns.Key.rename/3","type":"function"},{"doc":"","ref":"ExIpfsIpns.Key.html#rm/2","title":"ExIpfsIpns.Key.rm/2","type":"function"},{"doc":"Remove a keypair.\n\nhttps://docs.ipfs.io/reference/http/api/#api-v0-key-rm","ref":"ExIpfsIpns.Key.html#rm!/2","title":"ExIpfsIpns.Key.rm!/2","type":"function"},{"doc":"`key` - Name of the key to remove.\n\n  Also takes a list of keys to remove.","ref":"ExIpfsIpns.Key.html#rm!/2-parameters","title":"Parameters - ExIpfsIpns.Key.rm!/2","type":"function"},{"doc":"```\n[\n  # ipns-base:  , # IPNS key base.\n]\n```","ref":"ExIpfsIpns.Key.html#rm!/2-options","title":"Options - ExIpfsIpns.Key.rm!/2","type":"function"},{"doc":"Search for a keypair.","ref":"ExIpfsIpns.Key.html#search/2","title":"ExIpfsIpns.Key.search/2","type":"function"},{"doc":"`key` - Name of the key to search for.\n`type` - Type of search criteria. Defaults to `:name\n          If you want to search for the name of a key, use `:id`\n          and provide the key id.","ref":"ExIpfsIpns.Key.html#search/2-parameters","title":"Parameters - ExIpfsIpns.Key.search/2","type":"function"},{"doc":"Result from a rename operation.","ref":"ExIpfsIpns.Key.html#t:rename/0","title":"ExIpfsIpns.Key.rename/0","type":"type"},{"doc":"Typespec for a key.","ref":"ExIpfsIpns.Key.html#t:t/0","title":"ExIpfsIpns.Key.t/0","type":"type"}]}